package cn.superdesk.uniorder.dubbo.consumer.invoice.supplier;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplierXGoods;
import cn.superdesk.uniorder.dto.param.invoice.supplier.InvoiceApplySupplierXGoodsParam;
import cn.superdesk.uniorder.dto.param.invoice.supplier.InvoiceApplySupplierXGoodsQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.invoice.supplier.DubboInvoiceApplySupplierXGoodsService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-12-09 17:35:01
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-12-09 17:35:01
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class InvoiceApplySupplierXGoodsDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboInvoiceApplySupplierXGoodsService dubboInvoiceApplySupplierXGoodsService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(InvoiceApplySupplierXGoodsParam param) {

		dubboInvoiceApplySupplierXGoodsService.addObj(param);

	}

	public void updateObj(InvoiceApplySupplierXGoodsParam param) {

		dubboInvoiceApplySupplierXGoodsService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboInvoiceApplySupplierXGoodsService.deleteObj(id);
	}

	public InvoiceApplySupplierXGoods findById(Long id) {

		return dubboInvoiceApplySupplierXGoodsService.findById(id);
	}

	public PageInfo<InvoiceApplySupplierXGoods> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboInvoiceApplySupplierXGoodsService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<InvoiceApplySupplierXGoods> findAll(Map<String, Object> queryMap) {

		return dubboInvoiceApplySupplierXGoodsService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addInvoiceApplySupplierXGoods(InvoiceApplySupplierXGoodsParam param) {

		dubboInvoiceApplySupplierXGoodsService.addInvoiceApplySupplierXGoods(param);
	}


	public void updateInvoiceApplySupplierXGoods(InvoiceApplySupplierXGoodsParam param) {

		dubboInvoiceApplySupplierXGoodsService.updateInvoiceApplySupplierXGoods(param);
	}


	public void deleteInvoiceApplySupplierXGoods(Long id) {
		dubboInvoiceApplySupplierXGoodsService.deleteInvoiceApplySupplierXGoods(id);
	}


	public InvoiceApplySupplierXGoods findInvoiceApplySupplierXGoodsById(Long id) {

		return dubboInvoiceApplySupplierXGoodsService.findInvoiceApplySupplierXGoodsById(id);
	}


	public R<List<InvoiceApplySupplierXGoods>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboInvoiceApplySupplierXGoodsService.pageQuery(conditions, pageNun, pageSize);
	}


	public R<List<InvoiceApplySupplierXGoods>> pageQueryGenericParam(InvoiceApplySupplierXGoodsQueryCriteria queryCriteria) {

		return dubboInvoiceApplySupplierXGoodsService.pageQueryGenericParam(queryCriteria);
	}
}
